### Method

# Gtk TreeSortable get_sort_column_id

#### Declaration [src]

    gboolean
    gtk_tree_sortable_get_sort_column_id (
      GtkTreeSortable* sortable,
      int* sort_column_id,
      GtkSortType* order
    )

#### Description [src]

Fills in `sort_column_id` and `order` with the current sort column and the order. It returns `TRUE` unless the `sort_column_id` is `GTK_TREE_SORTABLE_DEFAULT_SORT_COLUMN_ID` or `GTK_TREE_SORTABLE_UNSORTED_SORT_COLUMN_ID`.

#### Parameters

`sort_column_id` | `int*`
| The sort column id to be filled in.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`order` | `GtkSortType`
| The `GtkSortType` to be filled in.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE` if the sort column is not one of the special sort column ids.